# Read a disk

Source: https://docs.wabe.sh/api-reference/operations/getdisk/

`GET https://api.wabe.sh/v1/disks/{disk}`

## Authorization

Project API key from the Wabe Dashboard.

## Parameters

- `disk` (path, string, required) — Disk name in the current project.

## Responses

### 200

Disk metadata.

`application/json`

Example

```json
{
  "name": "demo"
}
```

Schema

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "pattern": "^[A-Za-z0-9_-]{1,128}$",
      "example": "demo"
    }
  },
  "required": [
    "name"
  ]
}
```

### 401

Missing, invalid or revoked project API key.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 404

Disk not found in this project.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
